package de.spacecontrol.sc.dllwrapper;

import java.io.Serializable;

public class ScDevPars implements Cloneable, Serializable {
  public static final short INACTIVE = 0;
  
  public static final short SAVE_SETTINGS = 3;
  
  public static final short TOGGLE_HOVER = 7;
  
  public static final short TOGGLE_DEV_LIGHTS = 11;
  
  public static final short TOGGLE_RIGHT_HAND_MODE = 12;
  
  public static final short INCR_SENS = 13;
  
  public static final short DECR_SENS = 14;
  
  public static final short INCR_THRESH = 15;
  
  public static final short DECR_THRESH = 16;
  
  public static final short INCR_LCD = 17;
  
  public static final short DECR_LCD = 18;
  
  public static final short INCR_LEDS = 19;
  
  public static final short DECR_LEDS = 20;
  
  public static final short WHEEL_TO_SENS = 21;
  
  public static final short WHEEL_TO_THRESH = 22;
  
  public static final short WHEEL_TO_LCD = 23;
  
  public static final short WHEEL_TO_LEDS = 24;
  
  public static final short WHEEL_TO_WFL = 25;
  
  public static final short WHEEL_TO_GESTURES = 26;
  
  public static final short WHEEL_TO_FNC_KEYS = 27;
  
  public static final short HNDL_SENS_DLG = 28;
  
  public static final short HNDL_THRESH_DLG = 29;
  
  public static final short HNDL_LCD_DLG = 30;
  
  public static final short HNDL_LEDS_DLG = 31;
  
  public static final short HNDL_WFL_DLG = 32;
  
  public static final short HNDL_WHEEL_GESTURES = 33;
  
  public static final short HNDL_FNC_KEYS = 34;
  
  public static final short CTRL = 35;
  
  public static final short ALT = 36;
  
  public static final short SHIFT = 37;
  
  public static final short ESC = 38;
  
  public static final short PANEL = 44;
  
  public static final short HNDL_CALC_DLG = 45;
  
  public static final short SWITCH_KEY_SHIFT_LEVEL = 46;
  
  public static final short BACK = 47;
  
  public static final short LEFT = 48;
  
  public static final short BOTTOM = 49;
  
  public static final short RESERVED_9 = 55;
  
  public static final short MOUSE_BUT_LEFT = 56;
  
  public static final short MOUSE_BUT_MID = 57;
  
  public static final short MOUSE_BUT_RIGHT = 58;
  
  public static final short MOUSE_WHEEL_UP = 59;
  
  public static final short MOUSE_WHEEL_DOWN = 60;
  
  public static final short JOY_BUT = 68;
  
  public static final short LOAD_CFG_1 = 72;
  
  public static final short LOAD_CFG_3 = 74;
  
  public static final int MAX_FUNC_NUM = 140;
  
  public static final int MAX_FILE_NAME_LEN = 256;
  
  public int mSysFuncNum;
  
  public int mExecApplLoadCfgNum;
  
  public String mName;
  
  public String mFileName;
  
  public ScBasicSettings mBs = new ScBasicSettings();
  
  public ScAdvancedSettings mAs = new ScAdvancedSettings();
  
  public ScKeyAssignment mKa = new ScKeyAssignment();
  
  public ScFunc[] mFuncList = new ScFunc[140];
  
  public ScDevPars() {
    for (int i = 0; i < 140; i++)
      this.mFuncList[i] = new ScFunc("", ""); 
  }
  
  public ScDevPars clone() {
    try {
      ScDevPars scDevPars = (ScDevPars)super.clone();
      scDevPars.mBs = this.mBs.clone();
      scDevPars.mAs = this.mAs.clone();
      scDevPars.mKa = this.mKa.clone();
      scDevPars.mFuncList = (ScFunc[])this.mFuncList.clone();
      for (int i = 0; i < 140; i++)
        scDevPars.mFuncList[i] = this.mFuncList[i].clone(); 
      return scDevPars;
    } catch (CloneNotSupportedException cloneNotSupportedException) {
      cloneNotSupportedException.printStackTrace();
      return null;
    } 
  }
  
  public String convToString() {
    StringBuffer stringBuffer = new StringBuffer(Util.convToString(this));
    stringBuffer.append(this.mBs.convToString());
    stringBuffer.append(this.mAs.convToString());
    stringBuffer.append(this.mKa.convToString());
    for (int i = 0; i < 140; i++)
      stringBuffer.append(this.mFuncList[i].convToString()); 
    return stringBuffer.toString();
  }
  
  public boolean areWheelGesturesActive() {
    short s1 = this.mKa.mWheelLeft;
    short s2 = this.mKa.mWheelRight;
    return areWheelGesturesActive(s1, s2);
  }
  
  public static boolean areWheelGesturesActive(int paramInt1, int paramInt2) {
    return (paramInt1 == 33 && paramInt2 == 33);
  }
}


/* Location:              /opt/SpaceControl/lib/SC_DLL_Wrapper.jar!/de/spacecontrol/sc/dllwrapper/ScDevPars.class
 * Java compiler version: 8 (52.0)
 * JD-Core Version:       1.2.1
 */